@echo off

REM path to the application
REM ***********************

REM !!! replace with the HCI directory without final slash !!!
set MYPATH=C:\MiningMart\HCI

REM libraries
REM *********
set ora=%MYPATH%\lib\classes12.zip
set hotdraw=%MYPATH%\lib\hotdraw.jar;%MYPATH%\lib\GraphView.jar
set spin=%MYPATH%\lib\Socrat.jar
set m4=%MYPATH%\lib\M4InterfaceClient.jar
set concepteditor=%MYPATH%\lib\ConceptEditor.jar;%MYPATH%\lib\diagram.jar
set jboss=%MYPATH%\lib\jboss-client.jar;%MYPATH%\lib\jboss-common-client.jar;%MYPATH%\lib\jboss-j2ee.jar;%MYPATH%\lib\jbosssx-client.jar;%MYPATH%\lib\jnet.jar;%MYPATH%\lib\jnp-client.jar;%MYPATH%\lib\log4j.jar
set hci=%MYPATH%\miningmart.jar
set compiler=%MYPATH%\lib\M4CompilerClient.jar
set help=%MYPATH%\lib\jh.jar

REM parameter
REM *********
set home=%MYPATH%

REM !!! replace with the host where the compilerAccessServer is running !!!
set COMPILERSERVER=

REM Jndi.properties
REM ***************
set JNDI1=java.naming.factory.initial=org.jnp.interfaces.NamingContextFactory
set JNDI2=java.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces

REM !!! replace with your jboss-server: !!!
set JNDI3=java.naming.provider.url=jnp://

REM JAVA call
REM *********

set JAVA_COMMAND=java

%JAVA_COMMAND% -classpath "%MYPATH%;%hci%;%hotdraw%;%spin%;%m4%;%jboss%;%ora%;%compiler%;%concepteditor%;%help%;" -Dspin.home=%home% -DCOMPILER_SERVER=%compilerServer% -D%JNDI1% -D%JNDI2% -D%JNDI3% miningmart.hci.gui.main.Application
